#include<bits/stdc++.h>
#define MAXN (int)1e6+10
#define MOD ((int)1e9+7)
using namespace std;
int n;
string s;
int niz[MAXN][30];
int main()
{
    cin >> n >> s;
    for(int i=0;i<n;i++)
    {
        if(s[i]=='A')niz[i][0]=1;
    }
    for(int k=1;k<26;k++)
    {
        int br = 0;
        for(int i=0;i<n;i++)
        {
            br = (br%MOD + niz[i][k-1]%MOD)%MOD;
            if(s[i]=='A'+k)niz[i][k]=br;
        }
    }
    int res = 0;
    for(int i=0;i<n;i++)res = (res%MOD + niz[i][25]%MOD)%MOD;
    cout << res;
    return 0;
}